### Function

# Camel WeakRefGroup new

since: 3.24

#### Declaration [src]

    CamelWeakRefGroup*
    camel_weak_ref_group_new (
      void
    )

#### Description

No description available.

Available since: 3.24

#### Return value

Type: `CamelWeakRefGroup`

A new `CamelWeakRefGroup` instance, which should be freed with `camel_weak_ref_group_unref()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.